Subject: [Simple] MSRP: Rejecting a message which can't fully be received

From: "Christer Holmberg (JO/LMF)" <[email-masked]>
Date: Tue, 8 Jun 2004 21:00:58 +0200

Hi,

I would like to start a separate discussion about the issue of rejecting a MSRP message, if a node for whatever reason is not able to handle the whole message, to keep it separate from the discussion about the max-size attribute. One scenario, as we've seen in the discussion about the max-size attribute, when a message is too big for a node to handle.

It has been proposed that it should be possible to send a 4xx response, even before a MSRP message has been fully received, and eg Adam said it should be possible. So, I would suggest that we go from there.

Then, the question is what information could be included in the response. In fact, there is a requirement (REQ-CONTENT-2) saying "A 413 response MUST be capable of indicating the maximum allowed message size." which could be used (assuming the requirement is valid for session based messaging) for the case when the message is too big.

However, there may also be other scenarios, and I guess we would need to identify them. Hisham gave an example where the actual message itself is not too big, but due to previously received messages there is simply no room for it. Should we have some kind of "retry-after" indication for this case?

Regards,

Christer Holmberg
Ericsson Finland

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple